%define pname     extrecmenu
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        1.2
Release:        7
Summary:        A enhanced recordings menu

Group:          Multimedia/VDR
License:        GPL
URL:            http://martins-kabuff.de/extrecmenu.html
Source0:        vdr-extrecmenu-%{version}-test1.tgz
Source200:      %{name}.runvdr
Patch0:		gcc-4.3.patch
Patch1:		extrecmenu-1.2-test1-am1.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
This plugin provides a recordings menu enhanced with the possibility to
rename or move recordings and directories. The display of recording date, time
and length is configurable. Sorting by name or date is selectable for each
directory. If you use the PIN-plugin, the replay and editing of recordings is
protected. The plugin also handles archive dvds of VDR recordings (as known
from the DVDArchive-patch for VDR). This plugin extends VDR's '-r'-option with
messages for deleting, moving and renaming a recording.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%_bindir
install -m 755 scripts/dvdarchive.sh $RPM_BUILD_ROOT%_bindir

make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%_bindir/*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale/
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.2-7
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.2-6
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.2-5
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.2-4
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.2-3
- moved font to main vdr package
* Tue Jul 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.2-2
- added truetype font for correct display of symbols
* Tue Jul 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- Version update to 1.2-test1 ( includes i18n fixes )
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-6
- rebuild, VDR 1.6.0
* Sat Mar 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-5
- rebuild, dependency fix
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-4
- rebuild, VDR 1.5.18
* Mon Jan 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-3
- rebuild against newest vdr package
* Mon Jan 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-2
- rebuild against newest vdr package
* Tue Jan 15 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.13-4
- rebuild against latest vdr package
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 0.13-3
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.13-2
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.13-1
- Version update
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-7
- rebuild against latest vdr package
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-6
- rebuild against latest vdr package
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-5
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-4
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-3
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-2
- rebuild against latest vdr package
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 0.12c-1
- Initial release